
Tripnet - Minor Live Issue #69596
Hotel || Booking Status Update Issue
07/01/2019 10:36 am - Maneesh V

Status: Fixed not Tested Start date: 07/28/2020
Priority: Urgent Due date: 07/29/2020
Assignee: Jomiya J % Done: 100%
Category: Functionality Estimated time: 4.00 hours
Target version: Spent time: 27.80 hours
DB Changes: Nill Files Changed: Nill
Keys & Permissions: Nill Initial Planned Hours: 4
Areas Affected: Nill
Description

Hotel booking status updated as Reconfirmed before it's last cancellation date.

Please correct this issue

The booking should in Confirmed status before the last cancellation date.

Attached screenshot and logs for reference.

28-07-2020
Please find the new Live issue with same scenario . attaching the logs and screenshot for reference.

History
#1 - 07/01/2019 12:14 pm - Linto V
- Due date set to 07/01/2019
- Status changed from New to Assigned
- Assignee set to Nithin George

#2 - 07/01/2019 12:22 pm - Linto V
- Assignee changed from Nithin George to Joseph P
- Estimated time set to 4.00
- Initial Planned Hours changed from 0 to 4

#3 - 07/01/2019 12:30 pm - Joseph P
- Status changed from Assigned to In Progress

#4 - 07/01/2019 04:33 pm - Linto V
- Due date changed from 07/01/2019 to 07/02/2019

#5 - 07/02/2019 04:07 pm - Joseph P
- File Tripnet_Cancellation.png added
- Status changed from In Progress to For Review
- Assignee changed from Joseph P to Linto V
- DB Changes set to Nill
- Keys & Permissions set to Nill
- Areas Affected set to Nill
- Files Changed set to Nill
Checked in the B2B side.
Searched for hotel,
Found only the offline hotel results.
made false the related key.
Again searched with it,
found no results for hotel search.
verified the related log.
Found there is results for the
search scenario.
worked for the results.
put break points in the related portions and 
resolved it.
Got the results for the related search.
inspected the log and moved through the codes.
Made a voucher for hotel.
inspected the log checked the date calculation 
related portions.
To recreate the scenario, 
tried to read the xml file through the solution
which is attached in redmine took some time to do that,
Attaching the related screenshot.

#6 - 07/04/2019 11:46 am - Linto V
- Due date changed from 07/02/2019 to 07/04/2019
- Status changed from For Review to Assigned
- Assignee changed from Linto V to Nithin George

#7 - 07/04/2019 11:57 am - Nithin George
- Status changed from Assigned to In Progress

#8 - 07/04/2019 04:42 pm - Nithin George
- Status changed from In Progress to For Review
- Assignee changed from Nithin George to Linto V

Issue checked with  live solution and live database, no getting reproduce this.

#9 - 07/16/2019 08:19 am - Vyshakh A B
- File nithin.png added
- File RoomsXmlHotel.zip added

The Same issue has again occurring again.
Please see the screenshot attached. As of now the hotel with free cancellation policy (Free cancellation) are getting invoice and status updating as
'Reconfirmed'.

Note
We know that for a free cancellation hotel - it will get invoiced and status update as confrim
     "    for a free non refundable hotels - it will get booked and status update as reconfrimed
By refering the Booking history table the Action perform status updating as 3 (hotel property ID) for 1 (Status ID 1- reconfrimed)
Please check the case and Fix ASap.
#10 - 07/16/2019 08:25 am - Vyshakh A B
- Assignee changed from Linto V to Jomiya J

#11 - 07/16/2019 08:25 am - Vyshakh A B
- Priority changed from High to Urgent

#12 - 07/16/2019 08:26 am - Jomiya J
- Due date changed from 07/04/2019 to 07/16/2019
- Status changed from For Review to Assigned
- Assignee changed from Jomiya J to Rosu Sebastian
- Start date changed from 07/01/2019 to 07/16/2019

Reassigning

#13 - 07/16/2019 08:31 am - Rosu Sebastian
- Status changed from Assigned to In Progress

#14 - 07/16/2019 05:06 pm - Rosu Sebastian
- Status changed from In Progress to Not reproducible
- % Done changed from 0 to 100

checked in local , 100  and live solution  issue not found, delay due to build errors

#15 - 09/16/2019 09:48 am - Josna J

Unable to check due to Bug #76244

#16 - 07/28/2020 05:18 pm - Prasob KP
- File Log28072020.zip added
- File 28072020.jpg added
- Description updated
- Status changed from Not reproducible to New

#17 - 07/28/2020 06:13 pm - jijo g
- Due date changed from 07/16/2019 to 07/29/2020
- Status changed from New to Assigned
- Assignee changed from Rosu Sebastian to Jomiya J
- Start date changed from 07/16/2019 to 07/28/2020

#18 - 07/28/2020 06:28 pm - Jomiya J
- Status changed from Assigned to In Progress

#19 - 07/28/2020 07:18 pm - Jomiya J
- File tripnet confirm status.png added

issue check in 100 for expedia - issue not found..
checked with roomsxml - no result found..

#20 - 07/29/2020 07:22 pm - Jomiya J
- Status changed from In Progress to Fixed not Tested

Issue cont reproduce in local, 100 and staging. check with superadmin and agency user

Files
Screenshot (342).png 199 KB 07/01/2019 Maneesh V
RoomsXmlHotel.zip 88.8 KB 07/01/2019 Maneesh V
Tripnet_Cancellation.png 205 KB 07/02/2019 Joseph P
nithin.png 518 KB 07/16/2019 Vyshakh A B
RoomsXmlHotel.zip 305 KB 07/16/2019 Vyshakh A B
28072020.jpg 44.6 KB 07/28/2020 Prasob KP
Log28072020.zip 292 KB 07/28/2020 Prasob KP
tripnet confirm status.png 462 KB 07/28/2020 Jomiya J
